SDL_SetPropertyWithCleanup(3)

NAME
SDL_SetPropertyWithCleanup - Set a property on a set of properties with a cleanup function that is called when the property is deleted.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetPropertyWithCleanup(SDL_PropertiesID props, const char *name, void *value, void (SDLCALL *cleanup)(void *userdata, void *value), void *userdata);

DESCRIPTION
The cleanup function is also called if setting the property fails for any reason.

FUNCTION PARAMETERS

props
    the properties to modify

name
    the name of the property to modify

value
    the new value of the property, or NULL to delete the property

cleanup
    the function to call when this property is deleted, or NULL if no cleanup is necessary

userdata
    a pointer that is passed to the cleanup function

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetProperty(3), SDL_SetProperty(3)